Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: Stefan Monnier <[email-masked]>
Date: Sun, 18 Oct 2009 22:08:09 -0400

>> It would not override settings in special-display-buffer-names.
> I just wanted to make sure that with "Things like `same-window'" you do
> not intend a (same-window . t) entry in `special-display-buffer-names'.

The way I see it, the `other-window' argument to pop-to-buffer should be
able to provide such settings as well.  I.e. they could be provided both
by the user in s-d-b-n and by the code in other-window.  And of course,
application-provided settings would only take precedence over global
settings and not over user cutomizations.

        Stefan